Bug 34190 - parallel fsck overly aggressive on newer devices
Summary: parallel fsck overly aggressive on newer devices
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs   
(Show other bugs)
Version: 7.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-31 04:10 UTC by Jason Duerstock
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-01 15:57:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix bug (1.26 KB, patch)
2001-03-31 04:13 UTC, Jason Duerstock
no flags Details | Diff

Description Jason Duerstock 2001-03-31 04:10:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; MSNIA; Windows 98)


on /dev/hd[efgh]* and /dev/sd[h-z]*, fsck will try to parallel check 
multiple partitions on the same spindle

Reproducible: Always
Steps to Reproduce:
1. make multiple partitions on /dev/hde
2. shutdown system uncleanly
3. watch fsck drag
	

Actual Results:  see #3

Expected Results:  each partition should be checked individually

patch can be found at http://justin.net/~jason/fsck.patch

Comment 1 Jason Duerstock 2001-03-31 04:13:22 UTC
Created attachment 14326 [details]
patch to fix bug

Comment 2 Jason Duerstock 2001-04-01 15:56:56 UTC
Ummm...it seems I stupidly submitted a non-working patch, before testing it.  
Please disregard it. :(



Comment 3 Florian La Roche 2001-04-06 20:59:28 UTC
e2fsprogs 1.19-4 and high should have a larger set of names. Can you please
check if
http://people.redhat.com/laroche/e2fsprogs-1.19-4.src.rpm fixes your problems?

Thanks for this report.


Comment 4 Jason Duerstock 2001-04-08 02:49:34 UTC
The file in this URL does not exist.


Note You need to log in before you can comment on or make changes to this bug.